Bug 1174923 - [GSS] (6.3.z) JBWS-3858 - Misconfigured TCCL during endpoint method invocations when Spring integration is enabled
Summary: [GSS] (6.3.z) JBWS-3858 - Misconfigured TCCL during endpoint method invocatio...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: EAP 6.3.3
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On: 1174922
Blocks: eap633-payload 1157479 1174927
TreeView+ depends on / blocked
 
Reported: 2014-12-16 18:32 UTC by Kyle Lape
Modified: 2019-08-19 12:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1174922
Environment:
Last Closed: 2019-08-19 12:39:21 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBWS-3858 0 Major Closed Misconfigured TCCL during endpoint method invocations when Spring integration is enabled 2016-11-01 09:35:39 UTC

Description Kyle Lape 2014-12-16 18:32:01 UTC
When the Spring integration is enabled, the TCCL that's set at the time the user endpoint methods are executed is an instance of DelegateClassLoader whose parent actually grants user visibility over classes he should only be given access if he declared a proper module dependency.

In addition, the DelegateClassLoader is not recognized by the remote EJB client subsystem.  This causes remote EJB invocations from webservice implementations to fail with "EJBCLIENT000025: No EJB receivers available...".

Comment 6 Jan Blizňák 2015-01-19 11:37:19 UTC
Verified on 6.3.3.CP.CR1

Comment 7 JBoss JIRA Server 2015-04-25 20:26:55 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3858 to Closed


Note You need to log in before you can comment on or make changes to this bug.